summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Frank Caraballo2010-05-12 17:39:17 +0200
committer David Somero2010-05-12 17:39:17 +0200
commit46fa6f8bc26fd81f595f8f2430023b924f95f546 (patch)
treeabc4e97b28fcbb893a7cb5392592381c6d8d3572 /games
parent6e86810f2e0cf7fc1ab9bfcc3381b2bd5f2c90e5 (diff)
downloadslackbuilds-46fa6f8bc26fd81f595f8f2430023b924f95f546.tar.gz
games/gemdropx: Updated for version 0.9
Diffstat (limited to 'games')
-rw-r--r--games/gemdropx/README6
-rw-r--r--games/gemdropx/doinst.sh4
-rw-r--r--games/gemdropx/gemdropx.SlackBuild68
-rw-r--r--games/gemdropx/gemdropx.desktop2
-rw-r--r--games/gemdropx/gemdropx.info4
-rw-r--r--games/gemdropx/slack-desc16
6 files changed, 52 insertions, 48 deletions
diff --git a/games/gemdropx/README b/games/gemdropx/README
index e886b45cb7..087c884420 100644
--- a/games/gemdropx/README
+++ b/games/gemdropx/README
@@ -1,3 +1,3 @@
-Gem Drop X is a fast-paced puzzle game where it's your job
-to clear the screen of gems before they squash you! (You're
-at the bottom, they're at the top, and they keep coming!)
+Gem Drop X is a fast-paced puzzle game where it's your job to clear
+the screen of gems before they squash you! (You're at the bottom,
+they're at the top, and they keep coming!)
diff --git a/games/gemdropx/doinst.sh b/games/gemdropx/doinst.sh
index 98faaf3b59..f364075896 100644
--- a/games/gemdropx/doinst.sh
+++ b/games/gemdropx/doinst.sh
@@ -1,4 +1,4 @@
-
if [ -x usr/bin/update-desktop-database ]; then
- usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+ usr/bin/update-desktop-database -q usr/share/applications
fi
+
diff --git a/games/gemdropx/gemdropx.SlackBuild b/games/gemdropx/gemdropx.SlackBuild
index cd542e2ece..efabb5bf37 100644
--- a/games/gemdropx/gemdropx.SlackBuild
+++ b/games/gemdropx/gemdropx.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for Gem Drop X
-# Copyright 2007 Frank Caraballo <fecaraballo[AT]gmail.com>
+# Copyright 2007, 2008 Frank Caraballo <fecaraballo{at}gmail{dot}com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,65 +22,69 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by the SlackBuilds.org project
-
-set -e
-
PRGNAM=gemdropx
-VERSION=0.9
+VERSION=${VERSION:-0.9}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-PDOCS="AUTHORS.txt CHANGES.txt COPYING.txt ICON.txt INSTALL.txt README.txt TODO.txt"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP
+cd $TMP || exit 1
rm -rf $PRGNAM-$VERSION
-tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
-cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z* || exit 1
+cd $PRGNAM-$VERSION || exit 1
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
-# We'll have to fix the Makefile to prevent it from hard-coding the
-# the icon locations
-sed -i 's,DATA_PREFIX=/usr/local/share/gemdropx,DATA_PREFIX=/usr/share/gemdropx,' Makefile
+# Fix the Makefile to prevent it from hard-coding the icon locations:
+sed -i 's,DATA_PREFIX=/usr/local/share/gemdropx,DATA_PREFIX=/usr/share/gemdropx,' Makefile || exit 1
-CFLAGS="$SLKCFLAGS" make
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make || exit 1
-install -D -m 0755 gemdropx $PKG/usr/bin/gemdropx
-strip --strip-unneeded $PKG/usr/bin/gemdropx
+mkdir -p $PKG/usr/bin
+install -m 0755 $PRGNAM $PKG/usr/bin || exit 1
+strip --strip-unneeded $PKG/usr/bin/$PRGNAM
-mkdir -p $PKG/usr/share/{gemdropx,pixmaps}
-cp -a data/* $PKG/usr/share/gemdropx
-( cd $PKG/usr/share/pixmaps
- ln -s ../gemdropx/images/gemdropx-icon.xpm gemdropx.xpm
-)
-
-mkdir -p $PKG/usr/share/applications
-cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a data/* $PKG/usr/share/$PRGNAM
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a $PDOCS $PKG/usr/doc/$PRGNAM-$VERSION
-for i in images sounds ; do
- mv $PKG/usr/share/gemdropx/$i/README $PKG/usr/doc/$PRGNAM-$VERSION/README.$i ;
-done
+cp -a AUTHORS.txt CHANGES.txt COPYING.txt ICON.txt INSTALL.txt README.txt TODO.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+for i in images sounds ; do
+ mv $PKG/usr/share/$PRGNAM/$i/README $PKG/usr/doc/$PRGNAM-$VERSION/README.$i ;
+done || exit 1
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+( cd $PKG/usr/share/pixmaps
+ ln -s ../gemdropx/images/gemdropx-icon.xpm gemdropx.xpm
+)
mkdir -p $PKG/install
-cat $CWD/doinst.sh > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/games/gemdropx/gemdropx.desktop b/games/gemdropx/gemdropx.desktop
index 1ee80a0be3..3220b8d52e 100644
--- a/games/gemdropx/gemdropx.desktop
+++ b/games/gemdropx/gemdropx.desktop
@@ -6,5 +6,5 @@ Exec=gemdropx
Terminal=false
Type=Application
Categories=Application;Game;StrategyGame
-Icon=/usr/share/pixmaps/gemdropx.xpm
+Icon=gemdropx.xpm
StartupNotify=false
diff --git a/games/gemdropx/gemdropx.info b/games/gemdropx/gemdropx.info
index daf02a71b7..797bff1067 100644
--- a/games/gemdropx/gemdropx.info
+++ b/games/gemdropx/gemdropx.info
@@ -4,5 +4,5 @@ HOMEPAGE="http://www.newbreedsoftware.com/gemdropx/"
DOWNLOAD="ftp://ftp.billsgames.com/unix/x/gemdropx/src/gemdropx-0.9.tar.gz"
MD5SUM="fd0337e89778e2dba74461c555ea8e42"
MAINTAINER="Frank Caraballo"
-EMAIL="fecaraballo[AT]gmail.com"
-APPROVED="rworkman"
+EMAIL="fecaraballo{at}gmail{dot}com"
+APPROVED="dsomero"
diff --git a/games/gemdropx/slack-desc b/games/gemdropx/slack-desc
index 407863e12d..9ff36af66a 100644
--- a/games/gemdropx/slack-desc
+++ b/games/gemdropx/slack-desc
@@ -1,16 +1,16 @@
# HOW TO EDIT THIS FILE:
# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
- |-----handy-ruler------------------------------------------------------|
+ |-----handy-ruler------------------------------------------------------|
gemdropx: Gem Drop X (Fast-paced Puzzle Game)
gemdropx:
-gemdropx: Gem Drop X is a fast-paced puzzle game where it's your job
-gemdropx: to clear the screen of gems before they squash you! (You're
-gemdropx: at the bottom, they're at the top, and they keep coming!)
+gemdropx: Gem Drop X is a fast-paced puzzle game where it's your job to clear
+gemdropx: the screen of gems before they squash you! (You're at the bottom,
+gemdropx: they're at the top, and they keep coming!)
gemdropx:
gemdropx: Homepage: http://www.newbreedsoftware.com/gemdropx/
gemdropx: